'use strict';
var express = require('express'),
	router = express.Router(),
	returnCode = require('../utils/returnCode'),
	_ = require('lodash');
module.exports = function(app) {
	app.use('/forum', router);
};

//新增论坛组
router.post('/group/create', function(req, res, next) {
	var rs = {};
	var group = new mongodb.ForumGroup(req.body);
	group.save(function(err, group) {
		if (err) {
			console.error(err);
			res.json(returnCode.BUSY);
		} else {
			rs.data = group;
			res.json(_.assign(rs, returnCode.SUCCESS));
		}
	});

});

//获取目标论坛组信息
router.get('/group/info/:gid', function(req, res, next) {
	var gid = req.params.gid || null;
	var rs = {};
	if (gid) {
		mongodb.ForumGroup.findById(gid, function(err, group) {
			if (err) {
				console.error(err);
				res.json(returnCode.BUSY);
			} else {
				rs.data = group;
				res.json(_.assign(rs, returnCode.SUCCESS));
			}
		});
	} else {
		res.json(returnCode.WRONG_PARAM);
	}
});