'use strict';
var express = require('express'),
	router = express.Router(),
	returnCode = require('../utils/returnCode'),
	_ = require('lodash');
module.exports = function(app) {
	app.use('/forum', router);
};

//新增论坛板块
router.post('/info/create', function(req, res, next) {
	var rs = {};
	var forum = new mongodb.ForumInfo(req.body);
	forum.save(function(err, forum) {
		if (err) {
			console.error(err);
			res.json(returnCode.BUSY);
		} else {
			rs.data = forum;
			res.json(_.assign(rs, returnCode.SUCCESS));
		}
	});

});

//获取目标论坛板块
router.get('/info/get/:fid', function(req, res, next) {
	var fid = req.params.fid || null;
	var rs = {};
	if (fid) {
		mongodb.ForumInfo.findById(fid, function(err, forum) {
			if (err) {
				console.error(err);
				res.json(returnCode.BUSY);
			} else {
				rs.data = group;
				res.json(_.assign(rs, returnCode.SUCCESS));
			}
		});
	} else {
		res.json(returnCode.WRONG_PARAM);
	}
});